%global momorel 3

Summary: The Jack Audio Connection Kit
Name: jack
Version: 0.99.0
Release: %{momorel}m
License: GPL
URL: http://jackit.sourceforge.net/
Group: System Environment/Daemons
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/jackit/%{name}-audio-connection-kit-%{version}.tar.gz a891a699010452258d77e59842ebe4a0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel, libsndfile-devel
BuildRequires: readline-devel
BuildPreReq: libtermcap-devel >= 2.0.8-38m
BuildRequires: libcap-devel, doxygen

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

%package devel
Summary: Development package for jack
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the files needed to compile programs that
communicates jack clients/servers.

%prep
%setup -q -n %{name}-audio-connection-kit-%{version}

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-stripped-jackd \
%ifarch %ix86 ppc
	--enable-optimize \
%else
	--disable-optimize \
%endif
	--with-html-dir=%{_docdir}/%{name}

make %{?_smp_mflags} || make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove html files
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README TODO doc/reference/html
%dir %{_libdir}/jack
%{_bindir}/jack*
%{_libdir}/jack/*.so
%{_libdir}/*.so.*
%{_mandir}/man1/jackd.1*
%{_mandir}/man1/jackstart.1*

%files devel
%defattr(-,root,root)
%{_includedir}/jack
%{_libdir}/jack/*.la
%{_libdir}/pkgconfig/jack.pc
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Tue Apr 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.0-3m)
- modify %%files section

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.99.0-2m)
- rebuild against libtermcap-2.0.8-38m.

* Mon Feb 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.0-1m)
- initial package
